Verifyincomeandemployment 4 endpoints

POST /decisioning/v2/customers/{customerId}/voi

Generate a Verification of Income (VOI) report for all checking, savings, and money market accounts for the given customer. This service retrieves up to two years of transaction history for each account and uses this information to generate the VOI report.

This is a premium service. The billing rate is the variable rate for Verification of Income under the current subscription plan. The billable event is the successful generation of a VOI report.

If no account of type checking, savings, or money market is found, the service will return HTTP 400 Bad Request.

Supported regions:

operationId: VerifyIncomeAndEmployment_createVOIReport

Parameters

Name In Required Type Description
customerId path optional

A customer ID

callbackUrl query optional string

A Report Listener URL to receive notifications. The webhook must respond to the Finicity API with a 2xx HTTP status code.

Request Body

application/json
schema VOIReportConstraints
Property Type Required
fromDate integer optional
accountIds string optional
reportCustomFields array optional
label string optional
shown boolean optional
value string optional
incomeStreamConfidenceMinimum integer optional

Responses

202

The report is being generated. When finished, a notification will be sent to the specified callback URL (Report Listener Service) and the report can be fetched using Get Report APIs. If you don’t use a callback URL, Get Report returns a minimal report with the following status: ‘inProgress’. Repeat the call every 20 seconds until Get Report returns a different status.

400

The request was rejected

401

The request lacks valid authentication credentials. Check “Finicity-App-Key” or “Finicity-App-Token”.

404

The resource doesn’t exist

POST /decisioning/v2/customers/{customerId}/voi
POST /decisioning/v2/customers/{customerId}/voiePayroll

Generate or refresh a VOIE - Payroll report. For clients using the product via a consumer permissioning experience via Connect, the original VOIE - Payroll report generates when the consumer completes the Connect experience, and this API is only used for future report refreshes without reengaging the consumer.

This is a premium service. The billable event is the successful generation of a VOIE - Payroll report.

Supported regions:

operationId: VerifyIncomeAndEmployment_refreshVOIEPayrollReport

Parameters

Name In Required Type Description
customerId path optional

A customer ID

callbackUrl query optional string

A Report Listener URL to receive notifications. The webhook must respond to the Finicity API with a 2xx HTTP status code.

Request Body

application/json
schema PayrollReportConstraints
Property Type Required
purpose string optional
payrollData object required
dob integer required
ssn string required
reportId string optional
marketSegment string optional
excludeEmpInfo boolean optional
reportCustomFields array optional
label string optional
shown boolean optional
value string optional
payStatementsFromDate integer optional

Responses

202

The report is being generated. When finished, a notification will be sent to the specified callback URL (Report Listener Service) and the report can be fetched using Get Report APIs. If you don’t use a callback URL, Get Report returns a minimal report with the following status: ‘inProgress’. Repeat the call every 20 seconds until Get Report returns a different status.

400

The request was rejected

401

The request lacks valid authentication credentials. Check “Finicity-App-Key” or “Finicity-App-Token”.

404

The resource doesn’t exist

POST /decisioning/v2/customers/{customerId}/voiePayroll
POST /decisioning/v2/customers/{customerId}/voieTxVerify/withInterview

Generate a VOIE - Paystub (with TXVerify) report for all checking and savings under the given customer. This service retrieves up to two years of transaction history for the given accounts. It then uses this information as well as the provided paystub(s), which are passed into the request body as asset IDs (generated using the Store Customer Pay Statement API) to generate the VOIE - Paystub (with TXVerify) report.

Note: if you are using this API to refresh the bank transactions, use the same asset ID from the first report. A new paystub is not required unless the paystub is too old for underwriting requirements. Using the same asset ID that was on the original report and the previously extracted details will be used to speed up report generation response time.

This is a premium service. The billing rate is the variable rate for VOIE TXVerify under the current subscription plan. The billable event is the successful generation of a VOIE TXVerify Report.

Supported regions:

operationId: VerifyIncomeAndEmployment_generateVOIEPaystubWithTxVerifyReport

Parameters

Name In Required Type Description
customerId path optional

A customer ID

callbackUrl query optional string

A Report Listener URL to receive notifications. The webhook must respond to the Finicity API with a 2xx HTTP status code.

Request Body

application/json
schema VOIEWithTXVerifyReportConstraints
Property Type Required
fromDate integer optional
accountIds string optional
reportCustomFields array optional
label string optional
shown boolean optional
value string optional
voieWithInterviewData object required
extractEarnings boolean optional
extractDeductions boolean optional
txVerifyInterview array required
assetId string required
accounts array optional
extractDirectDeposit boolean optional
incomeStreamConfidenceMinimum integer optional

Responses

202

The report is being generated. When finished, a notification will be sent to the specified callback URL (Report Listener Service) and the report can be fetched using Get Report APIs. If you don’t use a callback URL, Get Report returns a minimal report with the following status: ‘inProgress’. Repeat the call every 20 seconds until Get Report returns a different status.

400

The request was rejected

401

The request lacks valid authentication credentials. Check “Finicity-App-Key” or “Finicity-App-Token”.

404

The resource doesn’t exist

POST /decisioning/v2/customers/{customerId}/voieTxVerify/withInterview
POST /decisioning/v2/customers/{customerId}/voieTxVerify/withStatement

Generate a VOIE - Paystub report. This service uses the provided paystub(s), which are passed into the request body as asset IDs (generated using the Store Customer Pay Statement API) to generate the VOIE - Paystub report with digitized paystub details.

This is a premium service. The billing rate is the variable rate for VOIE - Paystub under the current subscription plan. The billable event is the successful generation of a VOIE - Paystub Report.

Supported regions:

operationId: VerifyIncomeAndEmployment_generateVoiePaystubReport

Parameters

Name In Required Type Description
customerId path optional

A customer ID

callbackUrl query optional string

A Report Listener URL to receive notifications. The webhook must respond to the Finicity API with a 2xx HTTP status code.

Request Body

application/json
schema VOIEReportConstraints
Property Type Required
reportCustomFields array optional
label string optional
shown boolean optional
value string optional
voieWithStatementData object required
assetIds array required
extractEarnings boolean optional
extractDeductions boolean optional
extractDirectDeposit boolean optional

Responses

202

The report is being generated. When finished, a notification will be sent to the specified callback URL (Report Listener Service) and the report can be fetched using Get Report APIs. If you don’t use a callback URL, Get Report returns a minimal report with the following status: ‘inProgress’. Repeat the call every 20 seconds until Get Report returns a different status.

400

The request was rejected

401

The request lacks valid authentication credentials. Check “Finicity-App-Key” or “Finicity-App-Token”.

404

The resource doesn’t exist

POST /decisioning/v2/customers/{customerId}/voieTxVerify/withStatement